package com.ssj.bean.conch.conch.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;


/**
 * @author yangcan
 * 类描述: 小塾学伴pad信息表
 * 创建时间:2019/11/7 10:24
 */
@Entity
@Table(name = "scon_pad_info")
public class SconPadInfo extends BaseEntity{

	private static final long serialVersionUID = 1L;
	
	private String padCode;//pad唯一设备码
	private String xingeToken;//信鸽token
	private String platform;//信鸽推送平台(ANDROID,IOS)
    private String vipId;//小孩vip_id
    private String userId;//小孩user_id
    private int type; //平台类型:(6:小塾学伴pad端  3:小塾学伴学生app端)
    private Date createTime;//绑定时间
    private int isRemind;//0:不接收消息推送 1：接收消息推送

	@Column(name="pad_code")
	public String getPadCode() {
		return padCode;
	}

	public void setPadCode(String padCode) {
		this.padCode = padCode;
	}

	@Column(name="xinge_token")
	public String getXingeToken() {
		return xingeToken;
	}

	public void setXingeToken(String xingeToken) {
		this.xingeToken = xingeToken;
	}

	@Column(name="platform")
	public String getPlatform() {
		return platform;
	}

	public void setPlatform(String platform) {
		this.platform = platform;
	}

	@Column(name="vip_id")
	public String getVipId() {
		return vipId;
	}

	public void setVipId(String vipId) {
		this.vipId = vipId;
	}

    @Column(name="user_id")
	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

    @Column(name="type")
    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    @Column(name="create_time")
	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

    @Column(name="is_remind")
    public int getIsRemind() {
        return isRemind;
    }

    public void setIsRemind(int isRemind) {
        this.isRemind = isRemind;
    }
}
